v4l2_device.h File Reference

Common base for V4L2 devices and subdevices. More...

`#include <map>`
`#include <memory>`
`#include <vector>`
`#include <linux/videodev2.h>`
`#include "libcamera/internal/log.h"`
`#include "libcamera/internal/v4l2_controls.h"`

Go to the source code of this file.

## Classes

class | libcamera::V4L2Device
| Base class for V4L2VideoDevice and V4L2Subdevice. More...

## Detailed Description

Common base for V4L2 devices and subdevices.